﻿@using System.Security.Claims
@model UserLogin
@{
    IEnumerable<SelectListItem> PermissionTypes = ViewBag.PermissionTypes;
    var permissions = Model?.Permissions.Select(m => (int)m.RoleType);
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Firm Admin</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="admin/firmadmin/savefirmadmin" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddClient_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteDataTable">
            <input type="hidden" value="firm_list" id="hdnParentTable">
            <div class="modal-body">
                <input type="hidden" asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group @(Model?.Id > 0 ?"disabled-div":"")">
                            <label>Email Address</label>
                            <input asp-for="Username" class="form-control form-control-lg @(Model?.Id > 0 ?"disabled":"")">
                            <span asp-validation-for="Username" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>First Name</label>
                            <input asp-for="UserData.FirstName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="UserData.FirstName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group ">
                            <label>Middle Name</label>
                            <input asp-for="UserData.MiddleInitial" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group ">
                            <label>Last Name</label>
                            <input asp-for="UserData.LastName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="UserData.LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-8">
                        <div class="form-group permission-select2-container">
                            <label asp-for="Permission"></label>
                            <select asp-for="Permission" class="form-control form-control-lg select2" asp-items="PermissionTypes" data-placeholder="Select Additional Roles" style="width:100%"></select>
                            <span asp-validation-for="Permission" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                @if (role == Roles.SuperAdmin && ViewBag.SetupKey != null)
                {
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="form-group">
                                <label>Setup Key</label>
                                <div class="input-group">
                                    <input id="SetupKey" class="form-control form-control-lg" disabled value="@ViewBag.SetupKey">
                                    <div class="input-group-append" id="edit-email">
                                        <button class="btn btn-warning w-45px btn-copy" type="button" data-toggle="tooltip" data-original-title="Copy" data-target="SetupKey"><i class="icon-lg far fa-copy"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_client">
                    <i class="@(Model?.Id>0 ? "la la-save":"fab fa-telegram-plane")"></i> @(Model?.Id>0?"Save" : "Send Invitation")
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    var permissions = @Html.Raw(Json.Serialize(permissions));
    $("#Permission").val(permissions).trigger("change");
</script>